org.keycloak.theme.beans

## Class LinkExpirationFormatterMethod

- java.lang.Object
- - org.keycloak.theme.beans.LinkExpirationFormatterMethod

- All Implemented Interfaces:
    freemarker.template.TemplateMethodModel, freemarker.template.TemplateMethodModelEx, freemarker.template.TemplateModel

      public class LinkExpirationFormatterMethod
      extends Object
      implements freemarker.template.TemplateMethodModelEx

  Method used to format link expiration time period in emails.
  Author:
    Vlastimil Elias (velias at redhat dot com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Locale` | `locale`
    `protected Properties` | `messages`

    - ### Fields inherited from interface freemarker.template.TemplateModel

      `NOTHING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkExpirationFormatterMethod(Properties messages, Locale locale)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `exec(List arguments)`
    `protected String` | `format(long valueInSeconds)`
    `protected String` | `getUnitTextFromMessages(String unitKey, long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### messages

          protected final Properties messages

    - #### locale

          protected final Locale locale

  - ### Constructor Detail

    - #### LinkExpirationFormatterMethod

          public LinkExpirationFormatterMethod(Properties messages,
                                               Locale locale)

  - ### Method Detail

    - #### exec

          public Object exec(List arguments)
                      throws freemarker.template.TemplateModelException

      Specified by:
        `exec` in interface `freemarker.template.TemplateMethodModel`
      Specified by:
        `exec` in interface `freemarker.template.TemplateMethodModelEx`
      Throws:
        `freemarker.template.TemplateModelException`

    - #### format

          protected String format(long valueInSeconds)

    - #### getUnitTextFromMessages

          protected String getUnitTextFromMessages(String unitKey,
                                                   long value)

Copyright © 2021 JBoss by Red Hat. All rights reserved.